aboutsummaryrefslogtreecommitdiff
path: root/.gitlab-ci.yml
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab-ci.yml')
-rw-r--r--.gitlab-ci.yml367
1 files changed, 0 insertions, 367 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index d9f6b31..67e20f4 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -15,8 +15,6 @@ image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230624-20Jul2023
# We run some tests in different order, to catch some failures quicker.
stages:
- testsuites
- - test.py
- - world build
.buildman_and_testpy_template: &buildman_and_testpy_dfn
stage: test.py
@@ -93,114 +91,6 @@ stages:
- "*.css"
expire_in: 1 week
-build all 32bit ARM platforms:
- stage: world build
- script:
- - ret=0;
- git config --global --add safe.directory "${CI_PROJECT_DIR}";
- pip install -r tools/buildman/requirements.txt;
- ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
- if [[ $ret -ne 0 ]]; then
- ./tools/buildman/buildman -o /tmp -seP;
- exit $ret;
- fi;
-
-build all 64bit ARM platforms:
- stage: world build
- script:
- - virtualenv -p /usr/bin/python3 /tmp/venv
- - . /tmp/venv/bin/activate
- - ret=0;
- git config --global --add safe.directory "${CI_PROJECT_DIR}";
- pip install -r tools/buildman/requirements.txt;
- ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
- if [[ $ret -ne 0 ]]; then
- ./tools/buildman/buildman -o /tmp -seP;
- exit $ret;
- fi;
-
-build all PowerPC platforms:
- stage: world build
- script:
- - ret=0;
- git config --global --add safe.directory "${CI_PROJECT_DIR}";
- ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
- if [[ $ret -ne 0 ]]; then
- ./tools/buildman/buildman -o /tmp -seP;
- exit $ret;
- fi;
-
-build all other platforms:
- stage: world build
- script:
- - ret=0;
- git config --global --add safe.directory "${CI_PROJECT_DIR}";
- ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
- if [[ $ret -ne 0 ]]; then
- ./tools/buildman/buildman -o /tmp -seP;
- exit $ret;
- fi;
-
-check for new CONFIG symbols outside Kconfig:
- stage: testsuites
- script:
- - git config --global --add safe.directory "${CI_PROJECT_DIR}"
- # If grep succeeds and finds a match the test fails as we should
- # have no matches.
- - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
- :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
- :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
-
-# QA jobs for code analytics
-# static code analysis with cppcheck (we can add --enable=all later)
-cppcheck:
- stage: testsuites
- script:
- - cppcheck -j$(nproc) --force --quiet --inline-suppr .
-
-# search for TODO within source tree
-grep TODO/FIXME/HACK:
- stage: testsuites
- script:
- - grep -r TODO .
- - grep -r FIXME .
- # search for HACK within source tree and ignore HACKKIT board
- - grep -r HACK . | grep -v HACKKIT
-
-# build documentation
-docs:
- stage: testsuites
- script:
- - virtualenv -p /usr/bin/python3 /tmp/venvhtml
- - . /tmp/venvhtml/bin/activate
- - pip install -r doc/sphinx/requirements.txt
- - make htmldocs KDOC_WERROR=1
- - make infodocs
-
-# some statistics about the code base
-sloccount:
- stage: testsuites
- script:
- - sloccount .
-
-# ensure all configs have MAINTAINERS entries
-Check for configs without MAINTAINERS entry:
- stage: testsuites
- script:
- - ./tools/buildman/buildman --maintainer-check || exit 0
-
-# Ensure host tools build
-Build tools-only:
- stage: testsuites
- script:
- - make tools-only_config tools-only -j$(nproc)
-
-# Ensure env tools build
-Build envtools:
- stage: testsuites
- script:
- - make tools-only_config envtools -j$(nproc)
-
Run binman, buildman, dtoc, Kconfig and patman testsuites:
stage: testsuites
script:
@@ -225,19 +115,6 @@ Run binman, buildman, dtoc, Kconfig and patman testsuites:
./tools/patman/patman test;
make testconfig
-Run tests for Nokia RX-51 (aka N900):
- stage: testsuites
- script:
- - mkdir nokia_rx51_tmp;
- ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
- ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
- ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
- ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
- ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
- ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
- export PATH=/opt/gcc-13.1.0-nolibc/arm-linux-gnueabi/bin:$PATH;
- test/nokia_rx51_test.sh
-
# Check for any pylint regressions
Run pylint:
stage: testsuites
@@ -257,247 +134,3 @@ Run pylint:
- pylint --version
- export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
- make pylint_err
-
-# Check for pre-schema driver model tags
-Check for pre-schema tags:
- stage: testsuites
- script:
- - git config --global --add safe.directory "${CI_PROJECT_DIR}";
- # If grep succeeds and finds a match the test fails as we should
- # have no matches.
- - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
-
-# Check we can package the Python tools
-Check packing of Python tools:
- stage: testsuites
- script:
- - make pip
-
-# Test sandbox with test.py
-sandbox test.py:
- variables:
- TEST_PY_BD: "sandbox"
- <<: *buildman_and_testpy_dfn
-
-sandbox with clang test.py:
- variables:
- TEST_PY_BD: "sandbox"
- OVERRIDE: "-O clang-16"
- <<: *buildman_and_testpy_dfn
-
-sandbox without LTO test.py:
- variables:
- TEST_PY_BD: "sandbox"
- BUILD_ENV: "NO_LTO=1"
- <<: *buildman_and_testpy_dfn
-
-sandbox_spl test.py:
- variables:
- TEST_PY_BD: "sandbox_spl"
- TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
- <<: *buildman_and_testpy_dfn
-
-sandbox_noinst_test.py:
- variables:
- TEST_PY_BD: "sandbox_noinst"
- TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
- <<: *buildman_and_testpy_dfn
-
-sandbox_vpl test.py:
- variables:
- TEST_PY_BD: "sandbox_vpl"
- TEST_PY_TEST_SPEC: "vpl or test_spl"
- <<: *buildman_and_testpy_dfn
-
-# Enable tracing and disable LTO, to ensure functions are not elided
-sandbox trace_test.py:
- variables:
- TEST_PY_BD: "sandbox"
- BUILD_ENV: "FTRACE=1 NO_LTO=1"
- TEST_PY_TEST_SPEC: "trace"
- OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
- <<: *buildman_and_testpy_dfn
-
-evb-ast2500 test.py:
- variables:
- TEST_PY_BD: "evb-ast2500"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-evb-ast2600 test.py:
- variables:
- TEST_PY_BD: "evb-ast2600"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-sandbox_flattree test.py:
- variables:
- TEST_PY_BD: "sandbox_flattree"
- <<: *buildman_and_testpy_dfn
-
-vexpress_ca9x4 test.py:
- variables:
- TEST_PY_BD: "vexpress_ca9x4"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-integratorcp_cm926ejs test.py:
- variables:
- TEST_PY_BD: "integratorcp_cm926ejs"
- TEST_PY_TEST_SPEC: "not sleep"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-qemu_arm test.py:
- variables:
- TEST_PY_BD: "qemu_arm"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-qemu_arm64 test.py:
- variables:
- TEST_PY_BD: "qemu_arm64"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-qemu_m68k test.py:
- variables:
- TEST_PY_BD: "M5208EVBE"
- TEST_PY_ID: "--id qemu"
- TEST_PY_TEST_SPEC: "not sleep and not efi"
- OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR"
- <<: *buildman_and_testpy_dfn
-
-qemu_malta test.py:
- variables:
- TEST_PY_BD: "malta"
- TEST_PY_TEST_SPEC: "not sleep and not efi"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-qemu_maltael test.py:
- variables:
- TEST_PY_BD: "maltael"
- TEST_PY_TEST_SPEC: "not sleep and not efi"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-qemu_malta64 test.py:
- variables:
- TEST_PY_BD: "malta64"
- TEST_PY_TEST_SPEC: "not sleep and not efi"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-qemu_malta64el test.py:
- variables:
- TEST_PY_BD: "malta64el"
- TEST_PY_TEST_SPEC: "not sleep and not efi"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-qemu-ppce500 test.py:
- variables:
- TEST_PY_BD: "qemu-ppce500"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-qemu-riscv32 test.py:
- variables:
- TEST_PY_BD: "qemu-riscv32"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-qemu-riscv64 test.py:
- variables:
- TEST_PY_BD: "qemu-riscv64"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-qemu-riscv32_spl test.py:
- variables:
- TEST_PY_BD: "qemu-riscv32_spl"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-qemu-riscv64_spl test.py:
- variables:
- TEST_PY_BD: "qemu-riscv64_spl"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-qemu-x86 test.py:
- variables:
- TEST_PY_BD: "qemu-x86"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-qemu-x86_64 test.py:
- variables:
- TEST_PY_BD: "qemu-x86_64"
- TEST_PY_TEST_SPEC: "not sleep"
- <<: *buildman_and_testpy_dfn
-
-r2dplus_i82557c test.py:
- variables:
- TEST_PY_BD: "r2dplus"
- TEST_PY_ID: "--id i82557c_qemu"
- <<: *buildman_and_testpy_dfn
-
-r2dplus_pcnet test.py:
- variables:
- TEST_PY_BD: "r2dplus"
- TEST_PY_ID: "--id pcnet_qemu"
- <<: *buildman_and_testpy_dfn
-
-r2dplus_rtl8139 test.py:
- variables:
- TEST_PY_BD: "r2dplus"
- TEST_PY_ID: "--id rtl8139_qemu"
- <<: *buildman_and_testpy_dfn
-
-r2dplus_tulip test.py:
- variables:
- TEST_PY_BD: "r2dplus"
- TEST_PY_ID: "--id tulip_qemu"
- <<: *buildman_and_testpy_dfn
-
-sifive_unleashed_sdcard test.py:
- variables:
- TEST_PY_BD: "sifive_unleashed"
- TEST_PY_ID: "--id sdcard_qemu"
- <<: *buildman_and_testpy_dfn
-
-sifive_unleashed_spi-nor test.py:
- variables:
- TEST_PY_BD: "sifive_unleashed"
- TEST_PY_ID: "--id spi-nor_qemu"
- <<: *buildman_and_testpy_dfn
-
-xilinx_zynq_virt test.py:
- variables:
- TEST_PY_BD: "xilinx_zynq_virt"
- TEST_PY_TEST_SPEC: "not sleep"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-xilinx_versal_virt test.py:
- variables:
- TEST_PY_BD: "xilinx_versal_virt"
- TEST_PY_TEST_SPEC: "not sleep"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-xtfpga test.py:
- variables:
- TEST_PY_BD: "xtfpga"
- TEST_PY_TEST_SPEC: "not sleep"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn
-
-coreboot test.py:
- variables:
- TEST_PY_BD: "coreboot"
- TEST_PY_TEST_SPEC: "not sleep"
- TEST_PY_ID: "--id qemu"
- <<: *buildman_and_testpy_dfn